r   e   k   l   a   m   a
r   e   k   l   a   m   a

Debian z blobami

Strona główna Aktualności

Kontrowersyjne głosowanie nad włączeniem do jądra zamkniętych sterowników przybliżyło twórców dystrybucji Debian do wydania wersji 5, znanej pod kodową nazwą Lenny.

Problem dotyczy tzw. blobów zawierających zamknięte, binarne sterowniki dostarczane przez producentów sprzętu. Debian znany jest z dużo bardziej ideologicznego podejścia do otwartości niż inne dystrybucje. Przykładowo w Ubuntu podejście jest pragmatyczne: lepszy zamknięty sterownik niż jego brak. W przypadku Debiana nie jest to takie oczywiste. Ostatnio rozgorzała dyskusja czy jądro w tej dystrybucji powinno zostać wyczyszczone z blobów w celu uczynienia jej jak najbardziej otwartą. Spowodowałoby to jednak nie tylko problemy z dostępnością sterowników ale także groziłoby opóźnieniami w wydaniu Lennego.

Zdecydowano się więc na głosowanie przeprowadzone metodą Condorceta z sekwencyjnym odrzucaniem Schwartza. Głosowanie przeprowadził Manoj Srivastava, sekretarz Debiana. Krótko po głosowaniu zrezygnował ze swojej funkcji ze względu na wysuwane w stosunku do niego zarzuty o nadużywanie uprawnień. Chodzi bowiem o zasadę, że w przypadku propozycji stojących w ostrej sprzeczności z założeniami projektu muszą one być przegłosowane nie zwykłą większością ale w stosunku 3 do 1. Srivastava jest oskarżany o to, że stosował tę zasadę wtedy gdy głosowano nad ustaleniami, które mu się nie podobały.

Ostatecznie w wyniku głosowania zdecydowano, że wypuszczenie nowej wersji jest ważniejsze od walki z binarnymi sterownikami. Była ona spodziewana w drugiej połowie 2008. Debian jest jednak znany ze sporych opóźnień i prawie zawsze pojawiają się duże spory przed samą premierą, które ją jeszcze przeciągają. Ponadto Debian tak bardzo stawia na stabilność, że zawiera często dosyć wiekowe wersje oprogramowania. Przykładowo GNOME będzie w wersji 2.22, która była wersją przejściową i nie zawierała wszystkich funkcji z 2.24. Debian jednak nie włączy funkcjonalności z 2.24 i zamiast GIO pozostanie przy starym gnome-vfs. W nowym Debianie będzie też OpenOffice.org 2.4 zamiast 3.0. Mimo to jednak będzie dostępna obsługa plików OOXML gdyż Debian używa gałęzi opracowywanej przez firmę Novell. Pełną listę nowości w Lennym można znaleźć na oficjalnej stronie.

r   e   k   l   a   m   a
© dobreprogramy
r   e   k   l   a   m   a
r   e   k   l   a   m   a

Komentarze

r   e   k   l   a   m   a
r   e   k   l   a   m   a
Czy wiesz, że używamy cookies (ciasteczek)? Dowiedz się więcej o celu ich używania i zmianach ustawień.
Korzystając ze strony i asystenta pobierania wyrażasz zgodę na używanie cookies, zgodnie z aktualnymi ustawieniami przeglądarki.